org.apache.ignite.internal

## Class IgniteVersionUtils

- java.lang.Object
- - org.apache.ignite.internal.IgniteVersionUtils

    public class IgniteVersionUtils
    extends Object

Ignite version utils.

### Field Summary

Fields
`static String` `ACK_VER_STR` Compound version.
`static long` `BUILD_TSTAMP` Build timestamp in seconds.
`static String` `BUILD_TSTAMP_STR` Formatted build date.
`static String` `COPYRIGHT` Copyright blurb.
`static String` `RELEASE_DATE_STR` Release date.
`static String` `REV_HASH_STR` Revision hash.
`static IgniteProductVersion` `VER` Ignite version.
`static String` `VER_STR` Ignite version in String form.

### Method Summary

All Methods Static Methods Concrete Methods
`static String` `formatBuildTimeStamp(long ts)` Builds string date representation in "yyyyMMdd" format.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### VER_STR

    public static final String VER_STR

Ignite version in String form.

#### VER

    public static final IgniteProductVersion VER

Ignite version.

#### BUILD_TSTAMP_STR

    public static final String BUILD_TSTAMP_STR

Formatted build date.

#### BUILD_TSTAMP

    public static final long BUILD_TSTAMP

Build timestamp in seconds.

#### REV_HASH_STR

    public static final String REV_HASH_STR

Revision hash.

#### RELEASE_DATE_STR

    public static final String RELEASE_DATE_STR

Release date.

#### ACK_VER_STR

    public static final String ACK_VER_STR

Compound version.

#### COPYRIGHT

    public static final String COPYRIGHT

Copyright blurb.

### Method Detail

#### formatBuildTimeStamp

    public static String formatBuildTimeStamp(long ts)

Builds string date representation in "yyyyMMdd" format. "synchronized" because it uses `SimpleDateFormat` which is not threadsafe.

Parameters:
  `ts` - Timestamp.
Returns:
  Timestamp date in UTC timezone.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.1
Release Date | : December 9 2020